package taxerr

import (
	"errors"
	"testing"
)

func TestNew(t *testing.T) {
	e1 := New("e")
	e2 := New("e")

	if !errors.Is(e1, e2) {
		t.Fatalf("a1 is not e2")
	}
}

func TestNewUser(t *testing.T) {
	e1 := NewUser("e")
	e2 := NewUser("e")

	if !errors.Is(e1, e2) {
		t.Fatalf("e1 is not e2")
	}
}

func TestNewUserV3(t *testing.T) {
	e1 := NewUserV3("a", "b")
	e2 := NewUserV3("a", "b")

	if !errors.Is(e1, e2) {
		t.Fatalf("e1 is not e2")
	}
}
